Bug 169587 - rpm writes error messages to the name of a file in SPECS, instead of stderr
rpm writes error messages to the name of a file in SPECS, instead of stderr
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-09-29 18:18 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 18:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-09-29 18:18:42 EDT
Description of problem:
Previously reported as Bug#8527 in January 2001.  Now closed because
that version of rpm is "older, no longer supported" ??
Problem still exists in latest version.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpmbuild -ta xxx     (where xxx does not exists)
2.ls SPECS/tar*
Actual results:
tar: *.spec: Not found in archive

Expected results:
Error messages to stderr.
No junk files in SPECS/

Additional info:
Comment 1 Jeff Johnson 2005-10-05 18:24:43 EDT
Yep. I keep this bug around to vet my rpm hackers. You have just joined
an elite membership of perhaps 10 or so hackers who have reported.

There is an intractable chicken <-> egg problem that cannot be easily
solved to fix, so the eventual fix will be to remove -ta modes from rpmbuild.

Meanwhile, I keep the bug around ...

Note You need to log in before you can comment on or make changes to this bug.